Start OAuth flow
curl --request GET \
--url https://api.onecli.sh/v1/apps/{provider}/authorize \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.onecli.sh/v1/apps/{provider}/authorize"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.onecli.sh/v1/apps/{provider}/authorize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": "<string>"
}Apps
Start OAuth flow
Redirects the user to the app’s OAuth authorization page. After the user authorizes, they are redirected back to the callback URL.
This endpoint is typically opened in a browser, not called from code.
GET
/
apps
/
{provider}
/
authorize
Start OAuth flow
Authorizations
API key obtained from the dashboard or GET /user/api-key
Path Parameters
App provider identifier (e.g., gmail, github, jira)
Query Parameters
Reconnect an existing connection instead of creating a new one
Agent name to associate with the connection
Response
Redirect to OAuth provider
⌘I